/* sys54.h - site configuration file for Linux */

/* 
 * $Header$
 *
 *
 * $Log$
 *
 */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifndef	_CONFIG_
#define	_CONFIG_

#define	BSD42			/* Linux is much like 4.3 */
#define	WRITEV			/*   sort of like real Berkeley UNIX */
#define	BSD43			/*   4.3BSD or later */

#define	VSPRINTF		/* has vprintf(3s) routines */

#define GETDENTS

#define	TCP			/* has TCP/IP */
#define	SOCKETS			/*   provided by sockets */

#define NFS                     /* network filesystem -- has getdirentries */
#define TEMPNAM                 /* has tempnam (3) call */

/* We need to get FD_SET first */
#include <sys/time.h>

/* We need to get asprintf not defined in stdio.h */
#undef __USE_GNU
#include <stdio.h>
#define __USE_GNU

/* We need to get ntohs, etc. defined first. */
#include <netinet/in.h>

/* We need SIGEMT defined to kill the process and dump core. 
   SIGTRAP will do it. */
#ifndef SIGEMT
#include <signal.h>
#define SIGEMT SIGTRAP
#endif

/* Linux uses termios */
#define TERMIOS
#include <posix_opt.h>

/* Some stupid files don't include unistd.h */
#include <unistd.h>

/* We need values.h first, too, so MAXINT doesn't get defined by isode. */
#include <values.h>
#endif
